Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: Jan Djärv <[email-masked]>
Date: Fri, 16 Jul 2010 10:49:01 +0200

YAMAMOTO Mitsuharu skrev 2010-07-16 10.37:
>>>>>> On Fri, 16 Jul 2010 08:38:44 +0200, Jan Djärv<[email-masked]>  said:
>>> By the way, window-(inside-)absolute-pixel-edges doesn't seem to
>>> take account of title bar height.  Is that correct?
>
>> Why should it?  The titlebar isn't an Emacs window in X, it belongs
>> to the window manager.  Top/left does not point at it, it points at
>> the Emacs frame.
>
> Is the following the intended behavior?  I tested it with Mac OS X
> 10.6, GTK+ build, the trunk.
>
> 1. $ emacs -Q -D -geometry +100+100&
> 2. (frame-parameter nil 'top) C-j
>     =>  100
> 3. (window-absolute-pixel-edges) C-j
>     =>  (100 100 756 678)
>

That depends on your window manager.  If I do the same command, I get 'top 
equal to 124, as the title bar is 24 pixels high and the window manager 
(Compiz) puts the top of the title bar at 100.  Other window managers may 
choose to put the Emacs window at 100 and the title bar above that.  It isn't 
defined what a window manager should do.

	Jan D.